Bug 241902 - Unprivileged users can't create default lockspace
Summary: Unprivileged users can't create default lockspace
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 5.0
Hardware: All Linux
high
medium
Target Milestone: ---
: ---
Assignee: Christine Caulfield
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-31 15:46 UTC by Christine Caulfield
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHBA-2007-0959
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 19:50:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0959 normal SHIPPED_LIVE Updated kernel packages for Red Hat Enterprise Linux 5 Update 1 2007-11-08 00:47:37 UTC

Description Christine Caulfield 2007-05-31 15:46:27 UTC
Description of problem:

Only root can create lockspaces, That includes the default lockspace. This is a
regression from RHEL 4

Version-Release number of selected component (if applicable):
5.0

How reproducible:
Every time

Steps to Reproduce:
1. Run one of the DLM tests in dlm/tests/usertest as a non-root user.
  (eg dlmtest)

 
Actual results:
$ ./dlmtest
locking LOCK-NAME EX ...
lock: Operation not permitted


Expected results:
Locking should work, the default lockspace should be created.

Additional info:
There is some library work needed here too.

Comment 1 RHEL Product and Program Management 2007-06-01 14:24:18 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 3 David Teigland 2007-06-08 19:22:26 UTC
patch reposted to rhkernel
http://post-office.corp.redhat.com/archives/rhkernel-list/2007-June/msg01070.html


Comment 4 Don Zickus 2007-06-12 18:42:42 UTC
in 2.6.18-24.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 7 errata-xmlrpc 2007-11-07 19:50:33 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0959.html



Note You need to log in before you can comment on or make changes to this bug.